{#<pagetitle>NHS.UK | About you - NHS number</pagetitle>#}
{% from '../../../common/components/checkboxes/macro.njk' import checkboxes %}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/link/macro.njk' import link %}
{% from '../../../common/components/input/macro.njk' import input %}
{% from '../../../common/components/button/macro.njk' import button %}

{{ heading({
       subHeading: { text: 'about-you-nhs-number.section.heading'},
       text:  'about-you-nhs-number.h1',
       classes: 'nhsuk-heading-l govuk-heading-l',
       locale: locale
}) }}
{{ p({text:'about-you-nhs-number.p1', classes:'nhsuk-body', locale: locale}) }}

<form action="about-you-nhs-number" method="post" class="form">
  <fieldset class="nhsuk-fieldset">
        
    <span class="nhsuk-hint">
      {{
          link({
            "text": "about-you-nhs-number.link",
            "href": "https://www.nhs.uk/nhs-services/online-services/find-nhs-number/",
            "target": "_blank",
            "arrow": false,
            "classes": "",
            locale: locale
          })
      }}
      <span style="font-weight: bold;">{{ __({ phrase: 'about-you-nhs-number.link.text', locale: locale}) }}</span>
      <span class="nhsuk-u-visually-hidden">{{'(opens a new tab)'}}</span>
    </span>

    {{ input({
        "label": {
         "text": "about-you-nhs-number.input",
         locale:locale
       },
        "id": "NhsNumber",
        "name": "NhsNumber",
        classes: 'nhsuk-input--width-10',
        "errorMessage": parseErrors(errors, 'NhsNumber'),
        value: data.Data.NhsNumber
    }) }}

    <br>

    {{ button({
        type: "submit",
        text: "common.button.continue",
        locale: locale
    }) }}
  </fieldset>
</form>
